Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
victor85

[Yêu cầu] nhờ viết lisp Hatch nhanh.

Các bài được khuyến nghị

Mình nhờ các bạn viết lisp hatch nhanh cho một vùng miền. Mình cần hatch nhanh vùng miền đó thành một khối hatch solid. Sau đó mình sẽ matchprop các hatch khác tương tự trong bản vẽ theo ý mình. Mình nghĩ là khá hay dùng vì nếu hatch theo lệnh của cad rất mất time.

Lisp như sau:

 

Lệnh: hh

Chọn phương pháp hatch: Boundary/ Pick point

(nhập B hoặc P theo phương pháp cần hatch)

Với lựa chọn B thì chọn polyline bao quanh vùng hatch - lựa chọn P thì pick điểm vào vùng cần hatch.

Kết quả tạo ra khối hatch solid đặc quanh vùng miền mình lựa chọn.

Các bạn viết dùm mình với nhé! Cho mình cảm ơn trước các bạn nhiều :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tự setvar HPName 1 lần để biết cảm giác viết lisp đi victor :) Cái này quá đơn giản mà

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tự setvar HPName 1 lần để biết cảm giác viết lisp đi victor :) Cái này quá đơn giản mà

Cũng thích tự viết lisp lắm, mà mấy lần đọc cái hướng dẫn trên mạng toàn rối tít mù. Mình vốn không rành mấy cái công thức, mấy cái hàm này lắm. Chắc phải có thầy chỉ cho thì may ra ;))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Quan trọng là có thích hay không mà thôi!

Rồi thì ai cũng phải tự hiểu những gì mình cần thôi, chứ yêu cầu mãi nghe đâu có ổn :) Các bác khác viết cho victor chắc chỉ mất đến 10p là cùng thôi, nhưng nếu không có bắt đầu thì chẳng bao giờ có kết quả!

VD 2 phút :

(defun c:hh ()
(acet-sysvar-set (list "HPNAME" "SOLID"))
(initget "B P")
(if (= (getkword "Boundary / Point [boundary/Point] :")  "B")(command "-hatch" "S")(command "-hatch"))
(acet-sysvar-restore)
)

Hoàn toàn đâu có khó victor :) ?

Trên diễn đàn đầy người hướng dẫn, mà cơ bản có đọc, làm thử, hỏi để người ta hướng dẫn đâu!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình nhờ các bạn viết lisp hatch nhanh cho một vùng miền. Mình cần hatch nhanh vùng miền đó thành một khối hatch solid. Sau đó mình sẽ matchprop các hatch khác tương tự trong bản vẽ theo ý mình. Mình nghĩ là khá hay dùng vì nếu hatch theo lệnh của cad rất mất time.

Lisp như sau:

 

Lệnh: hh

Chọn phương pháp hatch: Boundary/ Pick point

(nhập B hoặc P theo phương pháp cần hatch)

Với lựa chọn B thì chọn polyline bao quanh vùng hatch - lựa chọn P thì pick điểm vào vùng cần hatch.

Kết quả tạo ra khối hatch solid đặc quanh vùng miền mình lựa chọn.

Các bạn viết dùm mình với nhé! Cho mình cảm ơn trước các bạn nhiều smile.png

Đây là dòng hatch solid bằng cách chọn đối tượng.

(command "hatch" "solid" (ssget) "")

Đây là dòng hatch solid bằng cách pick điểm.

(command "bhatch" "p" "solid" (getpoint "\nPick a point:") "")

Bạn thêm vào cho ra lisp nhé!

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

uh, Cảm ơn ketxu đã góp ý nhé. Để tớ tìm hiểu cách viết lisp chỉn chu từ đầu tập viết lisp cái xem sao!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×